KABC::BinaryFormat Class Reference

`#include <binaryformat.h>`

Inheritance diagram for KABC::BinaryFormat:

## Public Member Functions

bool | load (Addressee &, QFile *file)
bool | loadAll (AddressBook *, Resource *, QFile *file)
void | save (const Addressee &, QFile *file)
void | saveAll (AddressBook *, Resource *, QFile *file)
bool | checkFormat (QFile *file) const

## Detailed Description

binary file format for addressbook entries.

Definition at line 33 of file binaryformat.h.

## Member Function Documentation

bool BinaryFormat::checkFormat | ( | QFile * | file | ) | const

virtual

Check for valid format of a file.

Implements KABC::FormatPlugin.

Definition at line 120 of file binaryformat.cpp.

bool BinaryFormat::load | ( | Addressee & | addressee,
|  | QFile * | file
| ) |  |

virtual

Load single addressee from file.

Implements KABC::FormatPlugin.

Definition at line 47 of file binaryformat.cpp.

bool BinaryFormat::loadAll | ( | AddressBook * | ,
|  | Resource * | resource,
|  | QFile * | file
| ) |  |

virtual

Load whole addressee from file.

Implements KABC::FormatPlugin.

Definition at line 60 of file binaryformat.cpp.

void BinaryFormat::save | ( | const Addressee & | addressee,
|  | QFile * | file
| ) |  |

virtual

Save single addressee to file.

Implements KABC::FormatPlugin.

Definition at line 84 of file binaryformat.cpp.

void BinaryFormat::saveAll | ( | AddressBook * | ,
|  | Resource * | resource,
|  | QFile * | file
| ) |  |

virtual

Save all addressees to file.

Implements KABC::FormatPlugin.

Definition at line 97 of file binaryformat.cpp.

The documentation for this class was generated from the following files:

- binaryformat.h
- binaryformat.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys